MHISTOGRAM(1)

NAME
mHistogram - None

SYNOPSIS
mHistogram [-d] -file in.fits minrange maxrange [logpower/gaussian/gaussian-log/asinh [asinh-beta]] -out out.hist

DESCRIPTION
The mViewer application makes PNG/JPEG files using FITS images as input. Part of that processing involves analyzing the FITS files and creating a histogram that is used to inform the transformation from pixel values to display colors/intensities. This processing is done inside mViewer itself. However, there are situations where it helps to have the histogram earlier. For instance, you may have several images to process into PNGs and wish to use the same histogram-based stretch for each one. Or you may want to generate a set of pixel values that give the visual impression of a color bar (see mPad). Sometimes, you may just want the histogram itself for display or analysis purposes. The mHistogram module contains the same histogram code as mViewer but writes the results out to an ASCII file which can then be read in by mHistogram, mPad or user programs.

OPTIONS

-d  Turn on debugging.

-file in.fits minrange maxrange [logpower/gaussian/gaussian-log/asinh [asinh-beta]]
    The FITS image file; stretch range; and (optionally) stretch mode. See the mViewer documentation for more details.

-out out.hist
    Output histogram (ASCII) file.

RESULT
If successful, the result is an ASCII file containing the histogram data, color table lookup mapping, and some other information.

MESSAGES

ERROR
    Too few arguments following -file flag

ERROR
    Image file badfile invalid FITS

ERROR
    Can't find HDU badHDU

ERROR
    Too few arguments following -out flag

ERROR
    No input FITS file name given

ERROR
    No output histogram file name given

ERROR
    Cannot open output histogram file.

ERROR
    Grayscale/pseudocolor mode but no gray image given

ERROR
    FITS library error

ERROR
    leading numeric term in 'string' cannot be converted to a finite floating point number

ERROR
    not a valid datatype

ERROR
    negative percentile

ERROR
    percentile context larger than 100

ERROR
    extra numeric term in context 'string' cannot be converted to a finite floating point number

ERROR
    context 'string' contains trailing junk

EXAMPLES

mHistogram -file SDSS_r.fits -2s max gaussian-log -out SDSS_r.hist
    [struct stat="OK"]

BUGS
The drizzle algorithm has been implemented but has not been tested in this release.

If a header template contains carriage returns (i.e., created/modified on a Windows machine), the cfitsio library will be unable to read it properly, resulting in the error: [struct stat="ERROR", status=207, msg="illegal character in keyword"]

It is best for the background correction algorithms if the area described in the header template completely encloses all of the input images in their entirety. If parts of input images are "chopped off" by the header template, the background correction will be affected. We recommend you use an expanded header for the reprojection and background modeling steps, returning to the originally desired header size for the final coaddition. The default background matching assumes that there are no non-linear background variations in the individual images (and therefore in the overlap differences). If there is any uncertainty in this regard, it is safer to turn on the "level only" background matching (the "-l" flag in mBgModel.

COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California

If your research uses Montage, please include the following acknowledgement: "This research made use of Montage. It is funded by the National Science Foundation under Grant Number ACI-1440620, and was previously funded by the National Aeronautics and Space Administration's Earth Science Technology Office, Computation Technologies Project, under Cooperative Agreement Number NCC5-626 between NASA and the California Institute of Technology."

The Montage distribution includes an adaptation of the MOPEX algorithm developed at the Spitzer Science Center.